Bug 1575351 - qupzilla --> falkon : all bookmarks lost
Summary: qupzilla --> falkon : all bookmarks lost
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: falkon
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 08:15 UTC by Raphael Groner
Modified: 2018-05-11 21:14 UTC (History)
1 user (show)

Fixed In Version: falkon-3.0.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 21:14:23 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Debian BTS 894709 0 None None None 2018-05-06 08:15:31 UTC

Description Raphael Groner 2018-05-06 08:15:31 UTC
[Texts copied from the Debian bug]

Description of problem:
all the bookmarks I had with qupzilla are now gone in falkon. 
Looking for a solution i found out that there is an "import bookmarks feature" 
in falkon, but one need first to export all the bookmarks in HTML, and this 
should have been done before removing qupzilla.

Version-Release number of selected component (if applicable):
3.0.0

How reproducible:
yes

Steps to Reproduce:
1. upgrade F27 to F28
2.
3.

Actual results:
all bookmarks lost

Expected results:
bookmarks automagically migrated from qupzilla into falkon

Additional info:
Workaround is to copy ~/.config/qupzilla/profiles/default/bookmarks.json 
to ~/.config/falkon/profiles/defaults/

Comment 1 Raphael Groner 2018-05-06 08:17:46 UTC
Automatic migration from QupZilla will be in Falkon 3.0.1. 

If you want, you can cherry-pick these two commits: 

https://cgit.kde.org/falkon.git/commit/?id=3dae3edff5e77e5b82ef2cfaa8ef4148870a36b8 
https://cgit.kde.org/falkon.git/commit/?id=7c078ad70eda501e5a745772e7bf6f07d6a781c6 

Please consider to include those two patches till we have an official new release of upstream. It would be more user-friendly for a smooth migration from F27 to F28.

Comment 2 Raphael Groner 2018-05-06 08:21:12 UTC
Additional info:
Workaround is to copy ~/.config/qupzilla/profiles/default/bookmarks.json 
to ~/.config/falkon/profiles/default/

(mind the missing s)

Comment 3 Fedora Update System 2018-05-10 11:22:02 UTC
falkon-3.0.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0b57669e23

Comment 4 Fedora Update System 2018-05-11 02:00:10 UTC
falkon-3.0.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0b57669e23

Comment 5 Fedora Update System 2018-05-11 21:14:23 UTC
falkon-3.0.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.